# List

Launch stage: Beta

`GET /api/2.0/genie/spaces/{space_id}/eval-runs`

Lists all evaluation runs in a space.

API scopes: genie

## Path parameters

- `space_id` (string, optional)
  The ID associated with the Genie space where the evaluation run is located.
  Example: `e1ef34712a29169db030324fd0e1df5f`

## Query parameters

- `page_size` (int32, optional)
  Maximum number of evaluation runs to return per page
  Default: `20`
  Constraints: `<= 100`
- `page_token` (string, optional)
  Token to get the next page of results

## Returns

Returns a list of GenieEvalRunResponse objects.

## Response

```json
{
  "eval_runs": [
    {
      "eval_run_id": "e1ef34712a29169db030324fd0e1df5f",
      "eval_run_status": "string",
      "run_by_user": 0,
      "created_timestamp": 0,
      "num_questions": 0,
      "num_correct": 0,
      "num_needs_review": 0,
      "num_done": 0,
      "last_updated_timestamp": 0
    }
  ],
  "next_page_token": "string"
}
```

